Bug 994261 - Packstack does not disable openvswitch service where quantum-openvswitch-agent is disabled
Packstack does not disable openvswitch service where quantum-openvswitch-agen...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Unspecified
medium Severity medium
: ---
: 5.0 (RHEL 7)
Assigned To: Martin Magr
Ami Jeain
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 18:10 EDT by Rami Vaknin
Modified: 2016-04-26 13:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-01 08:10:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2013-08-06 18:10:00 EDT
Version:
openstack-packstack-2013.1.1-0.23.dev642.el6ost

Description:
I've installed Grizzly on RHEL6.4 with Neutron + OVS on 4 machines:
1. Machine with all services including neutron server (no compute, no l3, no dhcp)
2. L3-only machine
3. DHCP-only machine
4. Compute-only machine

After installation quantum-openvswitch-agent and openvswitch services are active on machines 2,3,4 (as expected), however, quantum-openvswitch-agent is inactive and openvswitch is active on machine 1, where both services are not in use.

Packstack's puppet modules which disable quantum-openvswitch-agent service should also disable openvswitch, or to not install both packages where they're not needed.

Note that openvswitch package/service was installation by packstack.
Comment 2 Rushil Chugh 2013-10-20 16:06:39 EDT
Hi Rami
I was able to accomplish both tasks with the difference that I achieved the second by installing openvswitch manually. Did you perform all this on a single VM or on multiple VMs?
Thanks
Rushil
(In reply to Rami Vaknin from comment #0)
> Version:
> openstack-packstack-2013.1.1-0.23.dev642.el6ost
> 
> Description:
> I've installed Grizzly on RHEL6.4 with Neutron + OVS on 4 machines:
> 1. Machine with all services including neutron server (no compute, no l3, no
> dhcp)
> 2. L3-only machine
> 3. DHCP-only machine
> 4. Compute-only machine
> 
> After installation quantum-openvswitch-agent and openvswitch services are
> active on machines 2,3,4 (as expected), however, quantum-openvswitch-agent
> is inactive and openvswitch is active on machine 1, where both services are
> not in use.
> 
> Packstack's puppet modules which disable quantum-openvswitch-agent service
> should also disable openvswitch, or to not install both packages where
> they're not needed.
> 
> Note that openvswitch package/service was installation by packstack.
Comment 3 Rami Vaknin 2013-10-20 18:34:05 EDT
(In reply to Rushil Chugh from comment #2)
> Hi Rami
> I was able to accomplish both tasks with the difference that I achieved the
> second by installing openvswitch manually. Did you perform all this on a
> single VM or on multiple VMs?

I'm not sure I understand which tasks do you refer to?
The numbers 1 to 4 represent 4 different bare-metal machines which all are in a same single installataion, so I'm acctually using 4 bare-metals as one openstack environment, no additional vms.

> Thanks
> Rushil
> (In reply to Rami Vaknin from comment #0)
> > Version:
> > openstack-packstack-2013.1.1-0.23.dev642.el6ost
> > 
> > Description:
> > I've installed Grizzly on RHEL6.4 with Neutron + OVS on 4 machines:
> > 1. Machine with all services including neutron server (no compute, no l3, no
> > dhcp)
> > 2. L3-only machine
> > 3. DHCP-only machine
> > 4. Compute-only machine
> > 
> > After installation quantum-openvswitch-agent and openvswitch services are
> > active on machines 2,3,4 (as expected), however, quantum-openvswitch-agent
> > is inactive and openvswitch is active on machine 1, where both services are
> > not in use.
> > 
> > Packstack's puppet modules which disable quantum-openvswitch-agent service
> > should also disable openvswitch, or to not install both packages where
> > they're not needed.
> > 
> > Note that openvswitch package/service was installation by packstack.
Comment 4 Rushil Chugh 2013-10-22 19:56:36 EDT
Is it necessary to use bare metal machines? I am running the 4 machines on top of Fedora 19.
(In reply to Rami Vaknin from comment #3)
> (In reply to Rushil Chugh from comment #2)
> > Hi Rami
> > I was able to accomplish both tasks with the difference that I achieved the
> > second by installing openvswitch manually. Did you perform all this on a
> > single VM or on multiple VMs?
> 
> I'm not sure I understand which tasks do you refer to?
> The numbers 1 to 4 represent 4 different bare-metal machines which all are
> in a same single installataion, so I'm acctually using 4 bare-metals as one
> openstack environment, no additional vms.
> 
> > Thanks
> > Rushil
> > (In reply to Rami Vaknin from comment #0)
> > > Version:
> > > openstack-packstack-2013.1.1-0.23.dev642.el6ost
> > > 
> > > Description:
> > > I've installed Grizzly on RHEL6.4 with Neutron + OVS on 4 machines:
> > > 1. Machine with all services including neutron server (no compute, no l3, no
> > > dhcp)
> > > 2. L3-only machine
> > > 3. DHCP-only machine
> > > 4. Compute-only machine
> > > 
> > > After installation quantum-openvswitch-agent and openvswitch services are
> > > active on machines 2,3,4 (as expected), however, quantum-openvswitch-agent
> > > is inactive and openvswitch is active on machine 1, where both services are
> > > not in use.
> > > 
> > > Packstack's puppet modules which disable quantum-openvswitch-agent service
> > > should also disable openvswitch, or to not install both packages where
> > > they're not needed.
> > > 
> > > Note that openvswitch package/service was installation by packstack.
Comment 5 Rami Vaknin 2013-10-27 00:23:28 EDT
(In reply to Rushil Chugh from comment #4)
> Is it necessary to use bare metal machines? I am running the 4 machines on
> top of Fedora 19.

VMs are ok, no need for bare-metals here.

> (In reply to Rami Vaknin from comment #3)
> > (In reply to Rushil Chugh from comment #2)
> > > Hi Rami
> > > I was able to accomplish both tasks with the difference that I achieved the
> > > second by installing openvswitch manually. Did you perform all this on a
> > > single VM or on multiple VMs?
> > 
> > I'm not sure I understand which tasks do you refer to?
> > The numbers 1 to 4 represent 4 different bare-metal machines which all are
> > in a same single installataion, so I'm acctually using 4 bare-metals as one
> > openstack environment, no additional vms.
> > 
> > > Thanks
> > > Rushil
> > > (In reply to Rami Vaknin from comment #0)
> > > > Version:
> > > > openstack-packstack-2013.1.1-0.23.dev642.el6ost
> > > > 
> > > > Description:
> > > > I've installed Grizzly on RHEL6.4 with Neutron + OVS on 4 machines:
> > > > 1. Machine with all services including neutron server (no compute, no l3, no
> > > > dhcp)
> > > > 2. L3-only machine
> > > > 3. DHCP-only machine
> > > > 4. Compute-only machine
> > > > 
> > > > After installation quantum-openvswitch-agent and openvswitch services are
> > > > active on machines 2,3,4 (as expected), however, quantum-openvswitch-agent
> > > > is inactive and openvswitch is active on machine 1, where both services are
> > > > not in use.
> > > > 
> > > > Packstack's puppet modules which disable quantum-openvswitch-agent service
> > > > should also disable openvswitch, or to not install both packages where
> > > > they're not needed.
> > > > 
> > > > Note that openvswitch package/service was installation by packstack.
Comment 7 Martin Magr 2014-07-01 08:10:22 EDT
This was fixed together with simplification patch.

Note You need to log in before you can comment on or make changes to this bug.